nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::sdk::String Class Reference
Inheritance diagram for nx::sdk::String:

## Public Member Functions
| String (std::string s)
| String (const char *s)
virtual const char * | str () const override
void | setString (std::string s)
void | setString (const char *s)
int | size () const
bool | empty () const
Public Member Functions inherited from nx::sdk::RefCountable< IString >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IString >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IString
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IString >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Constructor & Destructor Documentation

## ◆ String()

nx::sdk::String::String | ( | const char * | s | ) |

Parameters

  s | If null, empty string is assumed.

## Member Function Documentation

## ◆ setString()

void nx::sdk::String::setString | ( | const char * | s | ) |

Parameters

  s | If null, empty string is assumed.

## ◆ str()

const char * nx::sdk::String::str | ( |  | ) | const
| overridevirtual

Never null.

Implements nx::sdk::IString.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/string.h
- src/nx/sdk/helpers/string.cpp